Bug 431536 (CVE-2008-0411) - CVE-2008-0411 ghostscript: stack-based buffer overflow in .seticcspace operator
Summary: CVE-2008-0411 ghostscript: stack-based buffer overflow in .seticcspace operator
Status: CLOSED CURRENTRELEASE
Alias: CVE-2008-0411
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: reported=20080205,source=vendorsec,im...
Keywords: Security
Depends On: 433366 433367 433369 433370 433371 435145 435146 435147
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-05 11:28 UTC by Tomas Hoger
Modified: 2016-03-04 10:46 UTC (History)
3 users (show)

Fixed In Version: 8.61-8.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 18:24:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch proposed by Werner Fink (415 bytes, patch)
2008-02-05 17:11 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0155 normal SHIPPED_LIVE Important: ghostscript security update 2008-02-27 22:14:23 UTC

Description Tomas Hoger 2008-02-05 11:28:39 UTC
Chris Evans of Google security team has reported a buffer overflow in
zseticcspace() function in zicc.c.  The issue is over-trust of the length of a
postscript array which an attacker can set to an arbitrary length.

This issue can lead to arbitrary code execution.

Comment 4 Tomas Hoger 2008-02-05 17:11:58 UTC
Created attachment 294020 [details]
Patch proposed by Werner Fink

Comment 10 Tomas Hoger 2008-02-27 16:42:47 UTC
Chris Evans' advisory is public now, lifting embargo:

http://scary.beasts.org/security/CESA-2008-001.html

Comment 12 Fedora Update System 2008-02-27 17:44:11 UTC
ghostscript-8.15.4-4.fc7 has been submitted as an update for Fedora 7

Comment 13 Fedora Update System 2008-02-28 21:40:02 UTC
ghostscript-8.61-8.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1998

Comment 14 Fedora Update System 2008-03-03 18:24:12 UTC
ghostscript-8.61-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2008-03-06 16:39:07 UTC
ghostscript-8.15.4-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.